API
Wikidata API
Wikidata ist eine kollaborativ gepflegte Wissensdatenbank mit über 121 Millionen Einträgen zu Personen, Organisationen, Orten, Werken und Konzepten.
API-Referenz Version: 1.0.0 10 Endpunkte Authentifizierung
Basis-URL
https://api.pressmonitor.com Authentifizierung
Alle Anfragen verwenden die Authentifizierung mit Bearer-Token. Fügen Sie den Authorization-Header zu jedem Aufruf hinzu.
Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/suggest-entities Entitäten vorschlagen
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| query_text | string | query | Ja | Abfragetext |
| lang | string | query | Nein | Sprache |
| limit | string | query | Nein | Limit |
| offset | string | query | Nein | Offset |
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/suggest-entities?query_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/search/by-label Entitäten nach Bezeichnung suchen
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| query_text | string | query | Ja | Abfragetext |
| lang | string | query | Nein | Sprache |
| limit | string | query | Nein | Limit |
| offset | string | query | Nein | Offset |
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/search/by-label?query_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/search/by-description Entitäten nach Beschreibung suchen
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| query_text | string | query | Ja | Abfragetext |
| lang | string | query | Nein | Sprache |
| limit | string | query | Nein | Limit |
| offset | string | query | Nein | Offset |
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/search/by-description?query_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/search/by-type Entitäten nach Typ suchen
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| type | string | query | Ja | Typ |
| query_text | string | query | Nein | Abfragetext |
| lang | string | query | Nein | Sprache |
| limit | string | query | Nein | Limit |
| offset | string | query | Nein | Offset |
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/search/by-type?type=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/search/by-claim Entitäten nach Anspruchswert suchen
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| property | string | query | Ja | Eigenschaft |
| value | string | query | Nein | Wert |
| mode | string | query | Nein | Modus |
| lang | string | query | Nein | Sprache |
| limit | string | query | Nein | Limit |
| offset | string | query | Nein | Offset |
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/search/by-claim?property=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/find/by-property Entitäten nach Eigenschaft suchen
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| property | string | query | Ja | Eigenschaft |
| value | string | query | Nein | Wert |
| qualifier | string | query | Nein | Qualifikator |
| rank | string | query | Nein | Rang |
| lang | string | query | Nein | Sprache |
| limit | string | query | Nein | Limit |
| offset | string | query | Nein | Offset |
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/find/by-property?property=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/search/temporal Entitäten nach Datumsbereich suchen
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| property | string | query | Ja | Eigenschaft |
| from | string | query | Nein | Von |
| to | string | query | Nein | Bis |
| value | string | query | Nein | Wert |
| lang | string | query | Nein | Sprache |
| limit | string | query | Nein | Limit |
| offset | string | query | Nein | Offset |
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/search/temporal?property=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/entities/$0 Entität nach ID abrufen
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| wikidata_id | string | query | Ja | Wikidata-ID |
| lang | string | query | Nein | Sprache |
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/entities/$0?wikidata_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/entities/$0/claims Ansprüche der Entität abrufen
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| wikidata_id | string | query | Ja | Wikidata-ID |
| lang | string | query | Nein | Sprache |
| limit | string | query | Nein | Limit |
| offset | string | query | Nein | Offset |
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/entities/$0/claims?wikidata_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/properties Eigenschaften abrufen
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/properties" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg